# Uses of Class
org.apache.lucene.codecs.DocValuesFormat

Packages that use DocValuesFormat
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene103
Lucene 10.3 file format.
org.apache.lucene.codecs.lucene90
Lucene 9.0 file format.
org.apache.lucene.codecs.perfield
Postings format that can delegate to different formats per-field.

- ## Uses of DocValuesFormat in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return DocValuesFormat
  Modifier and Type
  Method
  Description
  `abstract DocValuesFormat`
  Codec.`docValuesFormat()`
  Encodes/decodes docvalues
  `DocValuesFormat`
  FilterCodec.`docValuesFormat()`
  `static DocValuesFormat`
  DocValuesFormat.`forName(String name)`
  looks up a format by name

- ## Uses of DocValuesFormat in org.apache.lucene.codecs.lucene103

  Methods in org.apache.lucene.codecs.lucene103 that return DocValuesFormat
  Modifier and Type
  Method
  Description
  `final DocValuesFormat`
  Lucene103Codec.`docValuesFormat()`
  `DocValuesFormat`
  Lucene103Codec.`getDocValuesFormatForField(String field)`
  Returns the docvalues format that should be used for writing new segments of `field` .

- ## Uses of DocValuesFormat in org.apache.lucene.codecs.lucene90

  Subclasses of DocValuesFormat in org.apache.lucene.codecs.lucene90
  Modifier and Type
  Class
  Description
  `final class`
  `Lucene90DocValuesFormat`
  Lucene 9.0 DocValues format.

- ## Uses of DocValuesFormat in org.apache.lucene.codecs.perfield

  Subclasses of DocValuesFormat in org.apache.lucene.codecs.perfield
  Modifier and Type
  Class
  Description
  `class`
  `PerFieldDocValuesFormat`
  Enables per field docvalues support.
  Methods in org.apache.lucene.codecs.perfield that return DocValuesFormat
  Modifier and Type
  Method
  Description
  `abstract DocValuesFormat`
  PerFieldDocValuesFormat.`getDocValuesFormatForField(String field)`
  Returns the doc values format that should be used for writing new segments of `field` .